> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/wam-companies.md).

# WAM companies

## GET /wam/companies/{company-id}/details/

> Get specific waste details for a company

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Wam-Companies"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"CompanyDetails":{"properties":{"is_organizer":{"description":"True if the company is a waste shipment organizer","type":"boolean"},"is_producer":{"description":"True if the company is a waste producer","type":"boolean"},"is_processor":{"description":"True if the company is a waste processor","type":"boolean"},"is_carrier":{"description":"True if the company is a carrier","type":"boolean"},"is_citizen":{"description":"True if the waste producer is a citizen and not a company","type":"boolean"},"enterprise_number":{"description":"Enterprise number of the company","type":"string"},"producer_establishment_unit_number":{"description":"Producer establishment unit number of the company","pattern":"^([2-8][0-9]{9})$","type":"string"},"processor_establishment_unit_number":{"description":"Processor establishment unit number of the company","pattern":"^([2-8][0-9]{9})$","type":"string"},"vat_number":{"description":"VAT number of the company","type":"string"}},"type":"object"}}},"paths":{"/wam/companies/{company-id}/details/":{"get":{"parameters":[{"description":"Id of the company. It is named pk in the details of a company.","in":"path","name":"company-id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyDetails"}}},"description":"Waste details of that company"}},"summary":"Get specific waste details for a company","tags":["Wam-Companies"]}}}}
````

## POST /wam/companies/{company-id}/details/

> Add or update specific waste details for a company

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Wam-Companies"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"CompanyDetails":{"properties":{"is_organizer":{"description":"True if the company is a waste shipment organizer","type":"boolean"},"is_producer":{"description":"True if the company is a waste producer","type":"boolean"},"is_processor":{"description":"True if the company is a waste processor","type":"boolean"},"is_carrier":{"description":"True if the company is a carrier","type":"boolean"},"is_citizen":{"description":"True if the waste producer is a citizen and not a company","type":"boolean"},"enterprise_number":{"description":"Enterprise number of the company","type":"string"},"producer_establishment_unit_number":{"description":"Producer establishment unit number of the company","pattern":"^([2-8][0-9]{9})$","type":"string"},"processor_establishment_unit_number":{"description":"Processor establishment unit number of the company","pattern":"^([2-8][0-9]{9})$","type":"string"},"vat_number":{"description":"VAT number of the company","type":"string"}},"type":"object"}}},"paths":{"/wam/companies/{company-id}/details/":{"post":{"parameters":[{"description":"Id of the company. It is named pk in the details of a company.","in":"path","name":"company-id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyDetails"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyDetails"}}},"description":"Updated waste details of that company"}},"summary":"Add or update specific waste details for a company","tags":["Wam-Companies"]}}}}
````

## Delete specific waste details for a company

> This will delete the waste details of that company. To be noted that this will not delete the VAT number nor the "is\_carrier" flag.

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Wam-Companies"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}}},"paths":{"/wam/companies/{company-id}/details/":{"delete":{"description":"This will delete the waste details of that company. To be noted that this will not delete the VAT number nor the \"is_carrier\" flag.","parameters":[{"description":"Id of the company. It is named pk in the details of a company.","in":"path","name":"company-id","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Company waste details are deleted"}},"summary":"Delete specific waste details for a company","tags":["Wam-Companies"]}}}}
````
